gr-baz Package

Public Member Functions | Protected Member Functions | Friends | List of all members
baz_tcp_source Class Reference

Read stream from an UDP socket. More...

`#include <baz_tcp_source.h>`

Inheritance diagram for baz_tcp_source:
[legend]

## Public Member Functions
| ~baz_tcp_source ()
int | get_port ()
| return the port number of the socket More...
void | signal_eos ()
int | work (int noutput_items, gr_vector_const_void_star &input_items, gr_vector_void_star &output_items)

## Protected Member Functions
| baz_tcp_source (size_t itemsize, const char *host, unsigned short port, int buffer_size, bool verbose)
| UDP Source Constructor. More...

## Friends
BAZ_API baz_tcp_source_sptr | baz_make_tcp_source (size_t itemsize, const char *host, unsigned short port, int buffer_size, bool verbose)

## Detailed Description

Read stream from an UDP socket.

Parameters

  itemsize | The size (in bytes) of the item datatype
  host | The name or IP address of the receiving host; can be NULL, None, or "0.0.0.0" to allow reading from any interface on the host
  port | The port number on which to receive data; use 0 to have the system assign an unused port number
  buffer_size | TCP receiver buffer size
  verbose | Output BorIP packet debug messages (helpful to judge packet loss)

## Constructor & Destructor Documentation

## ◆ baz_tcp_source()

baz_tcp_source::baz_tcp_source | ( | size_t | itemsize,
|  | const char * | host,
|  | unsigned short | port,
|  | int | buffer_size,
|  | bool | verbose
| ) |  |
| protected

UDP Source Constructor.

Parameters

  itemsize | The size (in bytes) of the item datatype
  host | The name or IP address of the receiving host; can be NULL, None, or "0.0.0.0" to allow reading from any interface on the host
  port | The port number on which to receive data; use 0 to have the system assign an unused port number
  buffer_size | TCP receiver buffer size
  verbose | Output BorIP packet debug messages (helpful to judge packet loss)

## ◆ ~baz_tcp_source()

baz_tcp_source::~baz_tcp_source | ( |  | ) |

## Member Function Documentation

## ◆ get_port()

int baz_tcp_source::get_port | ( |  | ) |

return the port number of the socket

## ◆ signal_eos()

void baz_tcp_source::signal_eos | ( |  | ) |

## ◆ work()

int baz_tcp_source::work | ( | int | noutput_items,
|  | gr_vector_const_void_star & | input_items,
|  | gr_vector_void_star & | output_items
| ) |  |

## Friends And Related Function Documentation

## ◆ baz_make_tcp_source

BAZ_API baz_tcp_source_sptr baz_make_tcp_source | ( | size_t | itemsize,
|  | const char * | host,
|  | unsigned short | port,
|  | int | buffer_size,
|  | bool | verbose
| ) |  |
| friend

The documentation for this class was generated from the following file:

- baz_tcp_source.h